> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payout Transactions



## OpenAPI

````yaml /api-reference/openapi.json get /transactions/withdrawals/me
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /transactions/withdrawals/me:
    get:
      tags:
        - Transactions
      summary: Get Payout Transactions
      parameters:
        - name: currencyId
          in: query
          schema:
            type: string
          example: de3423cb-e81c-464f-8bb4-d9da15a37e8b
        - name: status
          in: query
          schema:
            type: string
          example: PENDING
        - name: startDate
          in: query
          schema:
            type: string
          example: '2025-01-01'
        - name: endDate
          in: query
          schema:
            type: string
          example: '2025-03-01'
        - name: page
          in: query
          schema:
            type: integer
          example: '1'
        - name: pageSize
          in: query
          schema:
            type: integer
          example: '30'
        - name: X-API-KEY
          in: header
          schema:
            type: string
          example: 9e1eb76f69684e2eb1004f15fe524c18
        - name: X-API-TIMESTAMP
          in: header
          schema:
            type: integer
          example: '1761303955546'
        - name: X-API-SIGNATURE
          in: header
          schema:
            type: string
          example: 21b721949355023770d33137a3d552dcba9013698bd7750e16d02edb7783d704
      responses:
        '200':
          description: Get Payout Transactions
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        active:
                          type: boolean
                        reference:
                          type: string
                        description:
                          type: string
                        narration:
                          nullable: true
                        type:
                          type: string
                        category:
                          type: string
                        amount:
                          type: integer
                        walletId:
                          type: string
                        wallet:
                          type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            active:
                              type: boolean
                            availableBalance:
                              type: integer
                            pendingBalance:
                              type: integer
                            pendingSwapBalance:
                              type: integer
                            lockedBalance:
                              type: integer
                            userId:
                              type: string
                            currencyId:
                              type: string
                            p2pBalance:
                              type: integer
                            currency:
                              type: object
                              properties:
                                id:
                                  type: string
                                createdAt:
                                  type: string
                                  format: date-time
                                updatedAt:
                                  type: string
                                  format: date-time
                                active:
                                  type: boolean
                                name:
                                  type: string
                                code:
                                  type: string
                                exchangeCode:
                                  nullable: true
                                leverageBaseCurrencyCode:
                                  nullable: true
                                leverageMultipler:
                                  nullable: true
                                receivable:
                                  type: boolean
                                withdrawable:
                                  type: boolean
                                transferrable:
                                  type: boolean
                                minimumWithdrawal:
                                  type: integer
                                minimumDeposit:
                                  type: integer
                                maximumDecimalPlaces:
                                  type: integer
                                withdrawalFee:
                                  type: integer
                                receiveFee:
                                  type: integer
                                type:
                                  type: string
                                leverageType:
                                  nullable: true
                                receiveFeeType:
                                  type: string
                                withdrawalFeeType:
                                  type: string
                                maximumWithdrawalFee:
                                  type: integer
                                allowUtilityPayments:
                                  type: boolean
                                allowUnconfirmedTrading:
                                  type: boolean
                                allowVirtualCardTransactions:
                                  type: boolean
                                enableWithdrawalApproval:
                                  type: boolean
                            user:
                              type: object
                              properties:
                                id:
                                  type: string
                                createdAt:
                                  type: string
                                  format: date-time
                                updatedAt:
                                  type: string
                                  format: date-time
                                active:
                                  type: boolean
                                profilePicture:
                                  nullable: true
                                firstName:
                                  type: string
                                lastName:
                                  type: string
                                email:
                                  type: string
                                  format: email
                                username:
                                  type: string
                                referralCode:
                                  type: string
                                isEmailVerified:
                                  type: boolean
                                twoFactorEnabled:
                                  type: boolean
                                isKYCLevelOneVerified:
                                  type: boolean
                                isKYCLevelTwoVerified:
                                  type: boolean
                                isKYCLevelThreeVerified:
                                  type: boolean
                                kycLevelTwoStatus:
                                  type: string
                                isBVNVerified:
                                  type: boolean
                                dateOfBirth:
                                  type: string
                                  format: date-time
                                lastLogin:
                                  type: string
                                  format: date-time
                                countryCode:
                                  type: string
                                phoneNumber:
                                  type: string
                                  format: utc-millisec
                                bvnPhoneNumber:
                                  nullable: true
                                phoneCountryCode:
                                  type: string
                                  format: color
                                residenceCountryCode:
                                  nullable: true
                                legalName:
                                  nullable: true
                                sourceOfIncome:
                                  nullable: true
                                enableWithdrawal:
                                  type: boolean
                                enableTransfer:
                                  type: boolean
                                enablePasswordReset:
                                  type: boolean
                                enableTrading:
                                  type: boolean
                                enableWithdrawalApproval:
                                  type: boolean
                                enableUnconfirmedTrading:
                                  type: boolean
                                failedLoginAttempts:
                                  type: integer
                                nextLoginAt:
                                  nullable: true
                                role:
                                  type: string
                                isBroker:
                                  type: boolean
                                brokerWebhookUrl:
                                  type: string
                                  format: uri
                                enableP2PTrading:
                                  type: boolean
                                accountDeletionReason:
                                  nullable: true
                                deletedAt:
                                  nullable: true
                                appsFlyerId:
                                  nullable: true
                                accountType:
                                  type: string
                                hasPin:
                                  type: boolean
                                actorId:
                                  type: string
                            totalSwappableBalance:
                              type: integer
                            totalPendingBalance:
                              type: integer
                        payout:
                          type: object
                          properties:
                            id:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                            active:
                              type: boolean
                            transferReference:
                              type: string
                            externalReference:
                              type: string
                              format: utc-millisec
                            status:
                              type: string
                            dollarValue:
                              type: number
                            fee:
                              type: integer
                            bitcoinValue:
                              type: number
                            transactionId:
                              type: string
                            invoiceUrl:
                              nullable: true
                            failureReason:
                              nullable: true
                            wallet:
                              nullable: true
                            bankAccount:
                              type: object
                              properties:
                                id:
                                  type: string
                                createdAt:
                                  type: string
                                  format: date-time
                                updatedAt:
                                  type: string
                                  format: date-time
                                active:
                                  type: boolean
                                accountNumber:
                                  type: string
                                  format: utc-millisec
                                accountName:
                                  type: string
                                bankName:
                                  type: string
                                bankCode:
                                  type: string
                                  format: color
                                pagaBankCode:
                                  nullable: true
                                bankCountry:
                                  nullable: true
                                bankAddress:
                                  nullable: true
                                accountType:
                                  nullable: true
                                merchantCode:
                                  nullable: true
                                network:
                                  nullable: true
                                beneficiaryType:
                                  nullable: true
                                beneficiaryName:
                                  nullable: true
                                beneficiaryEmailAddress:
                                  nullable: true
                                beneficiaryCountryCode:
                                  nullable: true
                                beneficiaryPhoneNumber:
                                  nullable: true
                                beneficiaryCountryOfResidence:
                                  nullable: true
                                beneficiaryCityOfResidence:
                                  nullable: true
                                beneficiaryStateOfResidence:
                                  nullable: true
                                beneficiaryAddressOfResidenceLine1:
                                  nullable: true
                                beneficiaryAddressOfResidenceLine2:
                                  nullable: true
                                payoutId:
                                  type: string
                            isBlockchainTransaction:
                              type: boolean
                  meta:
                    type: object
                    properties:
                      perPage:
                        type: integer
                      total:
                        type: integer
                      count:
                        type: integer
                      currentPage:
                        type: integer
                      totalPages:
                        type: integer
              example:
                message: Ok
                data:
                  - id: dcd4f3f3-99f6-4883-b11d-d66e82b07697
                    createdAt: '2025-09-15T20:20:54.642Z'
                    updatedAt: '2025-09-15T20:20:54.642Z'
                    active: true
                    reference: e7cf2c45-3354-4097-90c4-a0ca0d264b1b
                    description: External payout
                    narration: null
                    type: DEBIT
                    category: WITHDRAWAL
                    amount: 1000
                    walletId: 638ded38-77db-4763-9106-c9923bf5151b
                    wallet:
                      id: 638ded38-77db-4763-9106-c9923bf5151b
                      createdAt: '2024-12-17T08:38:35.416Z'
                      updatedAt: '2025-09-16T13:15:57.469Z'
                      active: true
                      availableBalance: 675
                      pendingBalance: 0
                      pendingSwapBalance: 0
                      lockedBalance: 0
                      userId: ce09771a-cf91-46c5-94ab-36caec2d040b
                      currencyId: de3423cb-e81c-464f-8bb4-d9da15a37e8b
                      totalSwappableBalance: 675
                      totalPendingBalance: 0
                    payout:
                      id: a96b5522-9bc6-4c06-bbcc-a7ab2153c401
                      createdAt: '2025-09-15T20:20:54.642Z'
                      updatedAt: '2025-09-15T20:22:01.633Z'
                      active: true
                      transferReference: e7cf2c45-3354-4097-90c4-a0ca0d264b1b
                      externalReference: '436246970508842220876716789858'
                      status: SUCCESSFUL
                      transactionId: dcd4f3f3-99f6-4883-b11d-d66e82b07697
                      bankAccount:
                        id: f048393b-d810-436a-8e3e-048f01d830d2
                        createdAt: '2025-09-15T20:20:54.642Z'
                        updatedAt: '2025-09-15T20:20:54.642Z'
                        active: true
                        accountNumber: 20xxxxxxx
                        accountName: Jane Doe
                        bankName: UBA
                        bankCode: '033'
                        payoutId: a96b5522-9bc6-4c06-bbcc-a7ab2153c401
                meta:
                  perPage: 1
                  total: 1
                  count: 1
                  currentPage: 1
                  totalPages: 1

````